
  <ul class="breadcrumbs">
    <li>
      <a [routerLink]="['/']">Home</a>
    </li>
    <li>Licences</li>
  </ul>

  <div class="my-card">
      <div class="my-card-header">
        <h1 class="my-card-title">LISTE DES LICENCES</h1>
      </div>
  <div class="clearfix mb20">
    <a class="pull-right myCustomButton"  [routerLink]="['/bdi/new']">
      <i class="fa fa-plus" aria-hidden="true"></i></a>
  </div>
  <ul>
        <input class="input" matInput (keyup)="applyFilter($event.target.value)" [(ngModel)]="firstname" (input)="Search()" placeholder="Rechercher">
        <br><br>
  </ul>

  <div class="example-container mat-elevation-z8">
  

          <table class="table table-bordered table-striped">
                
            <thead class="thead-dark">
                <tr class="ctr">
                    <th>Nom</th>
                    <th>Nom Client</th>
                    <th>Date Activation</th>
                    <th>Date Experation</th>
                    <th>Action</th>
                    <th>Status</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let licence of licences">
                    
                    <td>{{licence.nom}}</td>
                    <td>{{licence.nomClient}}</td>
                    <td>{{licence.dateA | date:'dd/MM/yyyy' }}</td>
                    <td>{{licence.dateEx  | date:'dd/MM/yyyy'}}</td>
                    <td>

                        <button title="delete" (click)="remove(licence)" class="no-style red">
                            <i class="fa fa-trash" aria-hidden="true"></i>
                        </button>
                        <a (click)="update(licence)">
                        <!-- <a [routerLink]="['/bdi/edit']"> -->
                          <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
                        </a>
                    </td>
                    <td>
                        <i class="fa fa-check-circle" aria-hidden="true" *ngIf="(licence.status)===true"></i>
                        <i class="fa fa-times" *ngIf="(licence.status)=== false" color="warn" aria-hidden="true"></i>
                        <mat-icon *ngIf="(licence.status)=== false" color="warn" aria-hidden="true"></mat-icon>
                    </td>
                </tr>
            </tbody>
          </table>
              
        </div>
      
        <!-- <pagination-controls (pageChange)="page = $event"></pagination-controls> -->
    
</div>
